Bug 50938 - Apache Children Fail to Respawn after Multiple SIGHUP's
Apache Children Fail to Respawn after Multiple SIGHUP's
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-05 03:22 EDT by Ken Barber
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 06:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Barber 2001-08-05 03:22:53 EDT
Description of Problem:

After a multiple amount of SIGHUP's - the Apache master process fails to 
fork children.

How Reproducible:

Send 5-6 SIGHUP signals to Apache master process

Steps to Reproduce:
1. Find Apache master process with pstree command
2. Send SIGHUP signal five or six times 
3. Test port 80 connections, or view pstree to see if children have 

Actual Results:

The apache server fails to respond to HTTP requests. Subsequent SIGHUP's 
have no result. The server requires a restart.

Expected Results:

Restart of server.

Additional Information:
For my system information - you may take a look at RHN for 
venus.underscoresolutions.com.au or mail me. This bug existed in even the 
standard version of Apache 1.3.19 from the redhat ftp site.
Comment 1 Ken Barber 2001-12-23 16:24:22 EST
This bug seems to be fixed in the rpm 'apache-1.3.22-2'. This is a 7.2 package
however. I am not aware if this bug is now repaired in the older 7.1.
Comment 2 Joe Orton 2004-09-21 06:41:28 EDT
Thanks for the report.  This is a mass bug update; since this release
of Red Hat Linux is no longer supported, please either:

a) try and reproduce the bug with a supported version of Red Hat
Enterprise Linux or Fedora Core, and re-open this bug as appropriate
after changing the Product field, or,

b) if relevant, try and reproduce this bug using the current version
of the upstream package, and report the bug upstream.
Comment 3 David Juran 2004-09-21 15:35:06 EDT
This bug is still reproducable on httpd-2.0.50-2.1 in FC2. Please reopen.

Note You need to log in before you can comment on or make changes to this bug.